JavaScript
import Opriven from '@opriven/sdk';
const client = new Opriven({
apiKey: process.env['OPRIVEN_API_KEY'], // This is the default and can be omitted
});
const issue = await client.issues.create({
description: 'x',
environment: 'x',
title: 'x',
});
console.log(issue.uuid);curl --request POST \
--url https://bff.opriven.com/api/v2/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"environment": "<string>",
"triggeredAt": "2023-11-07T05:31:56Z",
"context": {
"alertUrl": "<string>",
"service": "<string>",
"traceId": "<string>",
"spanId": "<string>",
"errorType": "<string>",
"errorMessage": "<string>",
"host": "<string>",
"region": "<string>",
"version": "<string>",
"tags": [
"<string>"
],
"metadata": {}
}
}
'import requests
url = "https://bff.opriven.com/api/v2/issues"
payload = {
"title": "<string>",
"description": "<string>",
"environment": "<string>",
"triggeredAt": "2023-11-07T05:31:56Z",
"context": {
"alertUrl": "<string>",
"service": "<string>",
"traceId": "<string>",
"spanId": "<string>",
"errorType": "<string>",
"errorMessage": "<string>",
"host": "<string>",
"region": "<string>",
"version": "<string>",
"tags": ["<string>"],
"metadata": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bff.opriven.com/api/v2/issues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'environment' => '<string>',
'triggeredAt' => '2023-11-07T05:31:56Z',
'context' => [
'alertUrl' => '<string>',
'service' => '<string>',
'traceId' => '<string>',
'spanId' => '<string>',
'errorType' => '<string>',
'errorMessage' => '<string>',
'host' => '<string>',
'region' => '<string>',
'version' => '<string>',
'tags' => [
'<string>'
],
'metadata' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://bff.opriven.com/api/v2/issues"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"environment\": \"<string>\",\n \"triggeredAt\": \"2023-11-07T05:31:56Z\",\n \"context\": {\n \"alertUrl\": \"<string>\",\n \"service\": \"<string>\",\n \"traceId\": \"<string>\",\n \"spanId\": \"<string>\",\n \"errorType\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"host\": \"<string>\",\n \"region\": \"<string>\",\n \"version\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://bff.opriven.com/api/v2/issues")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"environment\": \"<string>\",\n \"triggeredAt\": \"2023-11-07T05:31:56Z\",\n \"context\": {\n \"alertUrl\": \"<string>\",\n \"service\": \"<string>\",\n \"traceId\": \"<string>\",\n \"spanId\": \"<string>\",\n \"errorType\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"host\": \"<string>\",\n \"region\": \"<string>\",\n \"version\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://bff.opriven.com/api/v2/issues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"environment\": \"<string>\",\n \"triggeredAt\": \"2023-11-07T05:31:56Z\",\n \"context\": {\n \"alertUrl\": \"<string>\",\n \"service\": \"<string>\",\n \"traceId\": \"<string>\",\n \"spanId\": \"<string>\",\n \"errorType\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"host\": \"<string>\",\n \"region\": \"<string>\",\n \"version\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"number": 4503599627370495,
"status": "investigating",
"title": "<string>",
"description": "<string>",
"severity": "low",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"triggeredAt": "2023-11-07T05:31:56Z",
"latestVersion": 4503599627370496,
"environment": "<string>"
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Issues
Create a new issue
Creates a new issue and optionally starts an automated investigation. The issue is created from the provided details, with a seed generated internally. Investigation runs asynchronously - poll GET /issues/ to check status.
POST
/
issues
JavaScript
import Opriven from '@opriven/sdk';
const client = new Opriven({
apiKey: process.env['OPRIVEN_API_KEY'], // This is the default and can be omitted
});
const issue = await client.issues.create({
description: 'x',
environment: 'x',
title: 'x',
});
console.log(issue.uuid);curl --request POST \
--url https://bff.opriven.com/api/v2/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"environment": "<string>",
"triggeredAt": "2023-11-07T05:31:56Z",
"context": {
"alertUrl": "<string>",
"service": "<string>",
"traceId": "<string>",
"spanId": "<string>",
"errorType": "<string>",
"errorMessage": "<string>",
"host": "<string>",
"region": "<string>",
"version": "<string>",
"tags": [
"<string>"
],
"metadata": {}
}
}
'import requests
url = "https://bff.opriven.com/api/v2/issues"
payload = {
"title": "<string>",
"description": "<string>",
"environment": "<string>",
"triggeredAt": "2023-11-07T05:31:56Z",
"context": {
"alertUrl": "<string>",
"service": "<string>",
"traceId": "<string>",
"spanId": "<string>",
"errorType": "<string>",
"errorMessage": "<string>",
"host": "<string>",
"region": "<string>",
"version": "<string>",
"tags": ["<string>"],
"metadata": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://bff.opriven.com/api/v2/issues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'environment' => '<string>',
'triggeredAt' => '2023-11-07T05:31:56Z',
'context' => [
'alertUrl' => '<string>',
'service' => '<string>',
'traceId' => '<string>',
'spanId' => '<string>',
'errorType' => '<string>',
'errorMessage' => '<string>',
'host' => '<string>',
'region' => '<string>',
'version' => '<string>',
'tags' => [
'<string>'
],
'metadata' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://bff.opriven.com/api/v2/issues"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"environment\": \"<string>\",\n \"triggeredAt\": \"2023-11-07T05:31:56Z\",\n \"context\": {\n \"alertUrl\": \"<string>\",\n \"service\": \"<string>\",\n \"traceId\": \"<string>\",\n \"spanId\": \"<string>\",\n \"errorType\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"host\": \"<string>\",\n \"region\": \"<string>\",\n \"version\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": {}\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://bff.opriven.com/api/v2/issues")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"environment\": \"<string>\",\n \"triggeredAt\": \"2023-11-07T05:31:56Z\",\n \"context\": {\n \"alertUrl\": \"<string>\",\n \"service\": \"<string>\",\n \"traceId\": \"<string>\",\n \"spanId\": \"<string>\",\n \"errorType\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"host\": \"<string>\",\n \"region\": \"<string>\",\n \"version\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": {}\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://bff.opriven.com/api/v2/issues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"environment\": \"<string>\",\n \"triggeredAt\": \"2023-11-07T05:31:56Z\",\n \"context\": {\n \"alertUrl\": \"<string>\",\n \"service\": \"<string>\",\n \"traceId\": \"<string>\",\n \"spanId\": \"<string>\",\n \"errorType\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"host\": \"<string>\",\n \"region\": \"<string>\",\n \"version\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"metadata\": {}\n }\n}"
response = http.request(request)
puts response.read_body{
"uuid": "<string>",
"number": 4503599627370495,
"status": "investigating",
"title": "<string>",
"description": "<string>",
"severity": "low",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"triggeredAt": "2023-11-07T05:31:56Z",
"latestVersion": 4503599627370496,
"environment": "<string>"
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"type": "api_error",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Headers
Body
application/json
ISO 8601 timestamp when the issue was triggered (defaults to current time)
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Response
Issue created successfully
Date and time the issue was created
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Date and time the issue was last updated
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Timestamp when the issue was triggered
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$